{----------------------------------------------------------------------------}
{                                                                            }
{  Constant declarations for DataCAD returned from IBM keyboards.            }
{  Version 3.6c  7/1/88                                                      }
{                                                                            }
{  Version 4.00  01mar90   DAG                                               }
{                                                                            }
{  (C) Copyright CADKEY Inc. 1988, 1989, 1990                                }
{                                                                            }
{----------------------------------------------------------------------------}

#message 'Including file _ascii.inc ...'

{
   Integer key codes returned by getchar, getpointp, getpoint, and all 
   other DataCAD input routines if not otherwise trapped by the input
   routine.  getchar returns all keys pressed except CTRL-C.
}

CONST
   keyBeep        = 7;     { beep              }
   keyBs          = 8;     { back space        }
   keyTab         = 9;     { tab               }
   keyBackTab     = 271;   { back tab          }   { 15 + 256 }
   keyLf          = 10;    { line feed         }
   keyCr          = 13;    { carriage return   }
   keyEof         = 26;    { end of file       }
   keyEsc         = 27;    { escape            }

   keyPgUp        = 329;   { page up           }   { 73 + 256 }
   keyPgDn        = 337;   { page down         }   { 81 + 256 }

   keyUp          = 328;   { arrow up          }   { 72 + 256 }
   keyLeft        = 331;   { arrow left        }   { 75 + 256 }
   keyRight       = 333;   { arrow right       }   { 77 + 256 }
   keyDown        = 336;   { arrow down        }   { 80 + 256 }

   keyHome        = 327;   { home              }   { 71 + 256 }
   keyEnd         = 335;   { end               }   { 79 + 256 }
   keyCtrlHome    = 375;   { ctrl-home         }   { 119 + 256 }

   keyIns         = 338;   { insert            }   { 82 + 256 }
   keyDel         = 339;   { delete            }   { 83 + 256 }



