{----------------------------------------------------------------------------}
{                                                                            }
{  Declarations for DCAL dragging routines.                                  }
{  Version 3.6b  7/1/88                                                      }
{                                                                            }
{  Version 4.00  01mar90   DAG                                               }
{                                                                            }
{  (C) Copyright CADKEY Inc. 1988, 1989, 1990                                }
{                                                                            }
{----------------------------------------------------------------------------}

#message 'Including file _drag.inc ...'


PROCEDURE dragBoxMove (pt, min, max : IN point; 
                       clr : IN integer);                         BUILTIN 421;

PROCEDURE dragModeMove (mode : IN OUT mode_type; 
                        pt : IN point);                           BUILTIN 422;

PROCEDURE dragModeRot (mode : IN OUT mode_type;
                       cent, ofs, ref : IN point);                BUILTIN 424;

PROCEDURE drag2pt (pt1, pt2 : IN point; ortho : IN boolean;
                   clr : IN integer);                             BUILTIN 442;

PROCEDURE dragDia (pt : IN point; doline, ortho : IN boolean; 
                   clr : IN integer);                             BUILTIN 447;

PROCEDURE dragRad (pt : IN point; doline, ortho : IN boolean; 
                   clr : IN integer);                             BUILTIN 448;

PROCEDURE dragCrc3 (pt1, pt2 : IN point; 
                    doline, ortho : IN boolean; 
                    clr : IN integer);                            BUILTIN 449;

PROCEDURE dragPly (pnt : IN pntarr; 
                   startIdx, endIdx : IN integer; 
                   ref : IN point; 
                   close, ortho : IN boolean; 
                   clr : IN integer);                             BUILTIN 450;

PROCEDURE dragPlyRot (pnt : IN pntarr; 
                      startIdx, endIdx : IN integer; 
                      cent, ofs, ref : IN point;
                      close, ortho, doline : IN boolean; 
                      clr : IN integer);                          BUILTIN 451;

PROCEDURE dragBar (pt : IN point; 
                   lftofs, rhtofs, pntofs, curofs : IN real;
                   ortho : IN boolean; clr : IN integer);         BUILTIN 473;

