{----------------------------------------------------------------------------}
{                                                                            }
{  Declarations for DCAL mathematic and geometric routines.                  }
{  Version 3.6b  7/1/88                                                      }
{                                                                            }
{  Version 4.00  01mar90   DAG                                               }
{                                                                            }
{  (C) Copyright CADKEY Inc. 1988, 1989, 1990                                }
{                                                                            }
{----------------------------------------------------------------------------}

#message 'Including file _math.inc ...'

FUNCTION  dis_from_arc (center : IN point; 
                        radius, begang, endang : IN real;
                        tstpnt : IN point) : real;                BUILTIN 469;

PROCEDURE ent_tran (ent : IN OUT entity; mat : IN modmat;
                    update, doattr : IN boolean);                 BUILTIN 401;

FUNCTION  ent_tranok (ent : IN entity) : boolean;                 BUILTIN 475;

FUNCTION  pnt_in_poly (testpnt : IN point; 
                       poly : IN pntarr; 
                       npnt : IN integer; 
                       min, max : IN point) : integer;            BUILTIN 426;


PROCEDURE poly_fix (poly : IN OUT pntarr; 
                    npnt : IN integer; 
                    min, max : IN OUT point);                     BUILTIN 425;


PROCEDURE FixAngs (begang, endang : IN OUT real);                 BUILTIN 488;

PROCEDURE MeanPnt (pt1, pt2 : point; meanpt : IN OUT point);      BUILTIN 489;

PROCEDURE SwapPnt (pt1, pt2 : IN OUT point);                      BUILTIN 490;

PROCEDURE AngNormalize (ang : IN OUT real);                       BUILTIN 491;

FUNCTION  PntsColinear (pt1, pt2, pt3 : point;
                        epsilon : real) : boolean;                BUILTIN 492;


