{----------------------------------------------------------------------------}
{                                                                            }
{  DCAL Miscellaneous routine declarations.                                  }
{  Version 3.6b  10/1/88                                                     }
{                                                                            }
{  Version 4.00  01mar90   DAG                                               }
{                                                                            }
{  (C) Copyright CADKEY Inc. 1988, 1989, 1990                                }
{                                                                            }
{----------------------------------------------------------------------------}

#message 'Including file _misc.inc ...'

FUNCTION draw_mode (mode : IN OUT mode_type;
                    clear, dobrk, todl : boolean;
                    drmode : integer) : integer;                  BUILTIN 416;

PROCEDURE ent_draw_dl (ent : IN entity; drmode : IN integer;
                       todl : IN boolean);                        BUILTIN 476;

PROCEDURE ent_draw_2d (ent : IN entity; drmode : IN integer);     BUILTIN 477;

PROCEDURE lyr_del (lyr : IN layer);                               BUILTIN 435;

PROCEDURE lyr_extents (lyr : IN layer; min, max : OUT point);     BUILTIN 565;

PROCEDURE ent_relink (ent1, ent2 : IN OUT entity);                BUILTIN 479;

PROCEDURE ent_setunused (ent : IN OUT entity; 
                         unused : IN boolean);                    BUILTIN 478;

PROCEDURE extents_mode (mode : IN OUT mode_type;
                        min, max : OUT point);                    BUILTIN 485;

PROCEDURE mode_ignore (mode : IN OUT mode_type);                  BUILTIN 480;

PROCEDURE CalcText (ent : IN OUT entity; which : integer);        BUILTIN 493;

PROCEDURE CalcDim  (ent : IN OUT entity; 
                    pt1, pt2, pt3 : point);                       BUILTIN 494;

PROCEDURE ssDelAll (ent : IN OUT entity);                         BUILTIN 227;

PROCEDURE ReadClock (year, month, day,
                     hours, minutes, 
                     seconds, hundreths : IN OUT integer);        BUILTIN 495;

FUNCTION ent_incirc (ent : IN OUT entity; 
                     center : IN point; 
                     radius : IN real) : boolean;                 BUILTIN 228;

PROCEDURE getCurrLbl (keynum : IN integer; lbl : IN OUT string);  BUILTIN 497;
