{----------------------------------------------------------------------------}
{                                                                            }
{  DCAL Macro Include File "StrLib" For DataCAD Version 3.6                  }
{                                                                            }
{  Written by:                                                               }
{               The Programming Staff                                        }
{               Software Development                                         }
{               CADKEY, INC.                                                 }
{                                                                            }
{  Copyright C 1990 CADKEY, INC.                                             }
{                                                                            }
{----------------------------------------------------------------------------}
{                                                                            }
{                                                                            }
{----------------------------------------------------------------------------}
#message 'Including file strlib.inc ...'
PROCEDURE msg (msgno : integer; str : IN OUT str80);                 EXTERNAL;
FUNCTION  MsgInit (fname : IN str80) : boolean;                      EXTERNAL;
FUNCTION  LblInit (fname : IN str80) : boolean;                      EXTERNAL;
PROCEDURE MsgClose;                                                  EXTERNAL;
PROCEDURE wrtmsgfc (msgno : IN integer);                             EXTERNAL;
PROCEDURE wrterrfc (errno : IN integer);                             EXTERNAL;
PROCEDURE lblmsgfc (lblno, strno : IN integer);                      EXTERNAL;
PROCEDURE lblsetfc (key, lblno : IN integer);                        EXTERNAL;
PROCEDURE lblsettfc (key, lblno : IN integer; val : boolean);        EXTERNAL;
PROCEDURE wrtlvlfc (strno : IN integer);                             EXTERNAL;
PROCEDURE getStrfc (str : IN OUT str80; msgno, len : integer);       EXTERNAL;

PROCEDURE formsetlistfc (num : integer; msgno : integer);            EXTERNAL;
PROCEDURE formgetstrfc  (num : integer; msgno : integer);            EXTERNAL;
PROCEDURE formmsgfc (row, col, color : integer; inverse : boolean;
                     msgno : integer);                               EXTERNAL;
FUNCTION  formstrxfc  (row, col, msgclr : integer;
                       msgno1 : integer;
                       color, strlength : integer;
                       msgno2 : integer) : integer;                  EXTERNAL;
FUNCTION  formintxfc  (row, col, msgclr : integer; msgno : integer;
                       color : integer; int : integer) : integer;    EXTERNAL;
FUNCTION  formdisxfc  (row, col, msgclr : integer; msgno : integer;
                       color : integer; dis : real) : integer;       EXTERNAL;
FUNCTION  formangxfc  (row, col, msgclr : integer; msgno : integer;
                       color : integer; ang : real) : integer;       EXTERNAL;
FUNCTION  formrlxfc   (row, col, msgclr : integer; msgno : integer;
                     color : integer; rl : real) : integer;          EXTERNAL;
FUNCTION  formboolxfc (row, col, msgclr : integer; msgno : integer;
                       color : integer; b : boolean) : integer;      EXTERNAL;
FUNCTION  formclrxfc  (row, col, msgclr : integer; msgno : integer;
                       color : integer; clr : integer) : integer;    EXTERNAL;
FUNCTION  formltypxfc (row, col, msgclr : integer; msgno : integer;
                       ltype : integer; clr : integer) : integer;    EXTERNAL;
FUNCTION  formmenuxfc (row, col, msgclr : integer; msgno : integer;
                       color : integer;
                       str : string) : integer;                      EXTERNAL;
FUNCTION  formlistxfc (row, col, msgclr : integer; msgno : integer;
                       color, liststart, listsize,
                       listorig : integer) : integer;                EXTERNAL;
PROCEDURE errStrfc (msgno : IN integer);                            EXTERNAL;
PROCEDURE msgStrfc (msgno : IN integer);                            EXTERNAL;
PROCEDURE strStrfc (msgno : integer);                                EXTERNAL;
PROCEDURE scrStrfc (row, col, clr : IN integer; msgno : integer);   EXTERNAL;

