{----------------------------------------------------------------------------}
{                                                                            }
{  DCAL Macro Include File "WrtUtl" For DataCAD Version 3.6                  }
{                                                                            }
{  Written by:                                                               }
{               The Programming Staff                                        }
{               Software Development                                         }
{               CADKEY, INC.                                                 }
{                                                                            }
{  Copyright C 1988 - 1990 CADKEY, INC.                                      }
{                                                                            }
{----------------------------------------------------------------------------}
{                                                                            }
{  This program may be copied, modified, distributed, and exchanged for      }
{  personal use or demonstrations.  It may not be sold for profit.           }
{                                                                            }
{----------------------------------------------------------------------------}
#message 'Including file wrtutl.inc ...'

PROCEDURE cvpntst (pnt : point; str : IN OUT str80);                 EXTERNAL;

PROCEDURE errStart;                                                  EXTERNAL;
PROCEDURE errShow;                                                   EXTERNAL;
PROCEDURE errStr  (str : string);                                    EXTERNAL;
PROCEDURE errInt  (i : integer);                                     EXTERNAL;
PROCEDURE errRl   (r : real);                                        EXTERNAL;
PROCEDURE errDis  (r : real);                                        EXTERNAL;
PROCEDURE errAng  (a : real);                                        EXTERNAL;
PROCEDURE errpnt  (pnt : point);                                     EXTERNAL; 

PROCEDURE msgStart;                                                  EXTERNAL;
PROCEDURE msgShow;                                                   EXTERNAL;
PROCEDURE msgStr  (str : string);                                    EXTERNAL;
PROCEDURE msgInt  (i : integer);                                     EXTERNAL;
PROCEDURE msgRl   (r : real);                                        EXTERNAL;
PROCEDURE msgDis  (r : real);                                        EXTERNAL;
PROCEDURE msgAng  (a : real);                                        EXTERNAL;
PROCEDURE msgpnt  (pnt : point);                                     EXTERNAL; 

PROCEDURE strStart;                                                  EXTERNAL;
PROCEDURE strShow (i : integer);                                     EXTERNAL;
PROCEDURE strStr  (str : string);                                    EXTERNAL;
PROCEDURE strInt  (i : integer);                                     EXTERNAL;
PROCEDURE strRl   (r : real);                                        EXTERNAL;
PROCEDURE strDis  (r : real);                                        EXTERNAL;
PROCEDURE strAng  (a : real);                                        EXTERNAL;
PROCEDURE strpnt  (pnt : point);                                     EXTERNAL;

PROCEDURE scrShow (row, col, clr : IN integer);                      EXTERNAL;
PROCEDURE scrStr  (row, col, clr : IN integer; str : IN string);     EXTERNAL;
PROCEDURE scrInt  (row, col, clr, int : IN integer);                 EXTERNAL;
PROCEDURE scrDis  (row, col, clr : IN integer; dis : IN real);       EXTERNAL;
PROCEDURE scrRl   (row, col, clr : IN integer; rl : IN real);        EXTERNAL;
PROCEDURE scrAng  (row, col, clr : IN integer; ang : IN real);       EXTERNAL;
PROCEDURE scrPnt  (row, col, clr : IN integer; pnt : IN point);      EXTERNAL;

