#message 'Including generated include file GEOM.INC'

PROCEDURE GEOMinchead;

VAR
	header : str80;

BEGIN
header := '$Header:   C:/dcal/lib/geom.inv   1.4   30 Jan 1996 14:21:06  $';
END GEOMinchead;


FUNCTION parallel(pt1, pt2, pt3, pt4 : point) : boolean; EXTERNAL;

FUNCTION includedang(pt1, pt2, pt3 : point) : real; EXTERNAL;

PROCEDURE my_cart_sphere(pt_x, pt_y, pt_z : real;
							rad, planang, riseang : IN OUT real); EXTERNAL;

PROCEDURE reverse_ply(pts : IN OUT ARRAY OF point;
						npts : integer;
						isln : IN OUT ARRAY OF boolean); EXTERNAL;

PROCEDURE poly_orientation(pts : ARRAY OF point; 
							npts : integer;
							is_ccw : OUT boolean); EXTERNAL;

PROCEDURE poly_orient(pts : IN OUT ARRAY OF point; npts : integer;
						isln : IN OUT ARRAY OF boolean;
						orient_ccw : boolean); EXTERNAL;

FUNCTION pline_perimclosed(frst, last : IN pvtaddr;
						closed : boolean) : real; EXTERNAL;

PROCEDURE pnts_extent(pts : ARRAY OF point; npts : integer;
						lowleft, upright : IN OUT point); EXTERNAL;

