{----------------------------------------------------------------------------}
{                                                                            }
{  Declarations for DCAL input routines and utility functions.               }
{  Version 3.6b  7/1/88                                                      }
{                                                                            }
{  Version 4.00  01mar90   DAG                                               }
{                                                                            }
{  (C) Copyright CADKEY Inc. 1988, 1989, 1990                                }
{                                                                            }
{----------------------------------------------------------------------------}

#message 'Including file _input.inc ...'


FUNCTION  getpointp (pt : OUT point;
                     key : OUT integer;
                     vmode : IN integer;
                     doesc : IN boolean) : integer;               BUILTIN 443;

FUNCTION  getpoint3 (pt : OUT point;
                     key : OUT integer;
                     doesc : IN boolean) : integer;               BUILTIN 487;

FUNCTION  getarc (msg : IN string;
                  init : IN OUT boolean;
                  center : OUT point;
                  radius, begang, endang : OUT real;
                  key : OUT integer) : integer;                   BUILTIN 417;

FUNCTION  getpoly (msg : IN string;
                   init : IN OUT boolean;
                   poly : IN OUT pntarr;
                   npnts : IN OUT integer;
                   key : OUT integer) : integer;                  BUILTIN 472;

FUNCTION  keyForceExit (key : IN integer) : boolean;              BUILTIN 445;

PROCEDURE inputat (col, row : IN integer);                        BUILTIN 428;

FUNCTION  fgetlyr (offset : IN OUT integer; 
                   key : IN OUT integer;
                   lyr : IN OUT layer) : integer;                 BUILTIN 226;

