{----------------------------------------------------------------------------}
{                                                                            }
{  Declarations for DCAL menu routines.                                      }
{  Version 3.6b  7/1/88                                                      }
{                                                                            }
{  Version 4.00  01mar90   DAG                                               }
{                                                                            }
{  (C) Copyright CADKEY Inc. 1988, 1989, 1990                                }
{                                                                            }
{----------------------------------------------------------------------------}

#message 'Including file _menu.inc ...'

PROCEDURE menuMove;                    BUILTIN 768;
PROCEDURE menuCopy;                    BUILTIN 769;
PROCEDURE menuRotate;                  BUILTIN 770;
PROCEDURE menuMirror;                  BUILTIN 771;
PROCEDURE menuStretch;                 BUILTIN 772;
PROCEDURE menuEnlarge;                 BUILTIN 773;
PROCEDURE menuIdentify;                BUILTIN 774;
PROCEDURE menuChange;                  BUILTIN 775;
PROCEDURE menuErase;                   BUILTIN 776;
PROCEDURE menuCleanup;                 BUILTIN 777;
PROCEDURE menuGoodies;                 BUILTIN 778;
PROCEDURE menuPolygons;                BUILTIN 779;
PROCEDURE menuCurves;                  BUILTIN 780;
PROCEDURE menuText;                    BUILTIN 781;
PROCEDURE menuLinetype;                BUILTIN 782;
PROCEDURE menuHatch;                   BUILTIN 783;
PROCEDURE menuDatacad3;                BUILTIN 784;
PROCEDURE menuWindowin;                BUILTIN 785;
PROCEDURE menuToscale;                 BUILTIN 786;
PROCEDURE menuGotoview;                BUILTIN 787;
PROCEDURE menuGrids;                   BUILTIN 788;
PROCEDURE menuLayers;                  BUILTIN 789;
PROCEDURE menuTemplate;                BUILTIN 790;
PROCEDURE menuSettings;                BUILTIN 791;
PROCEDURE menuMeasures;                BUILTIN 792;
PROCEDURE menuPlotter;                 BUILTIN 793;
PROCEDURE menuDmension;                BUILTIN 794;
PROCEDURE menuDisplay;                 BUILTIN 795;
PROCEDURE menuObjsnap;                 BUILTIN 796;
PROCEDURE menuFreehand;                BUILTIN 797;
PROCEDURE menuLinkline;                BUILTIN 798;
PROCEDURE menuFileio;                  BUILTIN 799;
PROCEDURE menuDirectry;                BUILTIN 800;
PROCEDURE menuArc2pt;                  BUILTIN 801;
PROCEDURE menuArc3pt;                  BUILTIN 802;
PROCEDURE menuArcCentAng;              BUILTIN 803;
PROCEDURE menuArcCentArc;              BUILTIN 804;
PROCEDURE menuArcCentChrd;             BUILTIN 805;
PROCEDURE menuArcTan;                  BUILTIN 806;
PROCEDURE menuEllipse;                 BUILTIN 807;
PROCEDURE menuCrcRad;                  BUILTIN 808;
PROCEDURE menuCrcDia;                  BUILTIN 809;
PROCEDURE menuCrc3pt;                  BUILTIN 810;
PROCEDURE menuMovedrag;                BUILTIN 811;
PROCEDURE menuArrayRect;               BUILTIN 812;
PROCEDURE menuArrayCirc;               BUILTIN 813;
PROCEDURE menuFillets;                 BUILTIN 814;
PROCEDURE menuChamfer;                 BUILTIN 815;
PROCEDURE menu1LnTrim;                 BUILTIN 816;
PROCEDURE menu2LnTrim;                 BUILTIN 817;
PROCEDURE menuWeldLine;                BUILTIN 818;
PROCEDURE menuTintsct;                 BUILTIN 819;
PROCEDURE menuLintsct;                 BUILTIN 820;
PROCEDURE menuDoorSwng;                BUILTIN 821;
PROCEDURE menuWindows;                 BUILTIN 822;
PROCEDURE menuCutWall;                 BUILTIN 823;
PROCEDURE menuDivide;                  BUILTIN 824;
PROCEDURE menuIntrsect;                BUILTIN 825;
PROCEDURE menuTangents;                BUILTIN 826;
PROCEDURE menuSS;                      BUILTIN 827;
PROCEDURE menuViewer;                  BUILTIN 828;


PROCEDURE menuElevation;               BUILTIN 829;
PROCEDURE menuControls;                BUILTIN 830;
PROCEDURE menuEditPlane;               BUILTIN 831;
PROCEDURE menuPlaneSnap;               BUILTIN 832;
PROCEDURE menuSetPersp;                BUILTIN 833;
PROCEDURE menuWalkThru;                BUILTIN 834;
PROCEDURE menuSetObliq;                BUILTIN 835;
PROCEDURE menuGotoView3d;              BUILTIN 836;
PROCEDURE menuSaveImage;               BUILTIN 837;
PROCEDURE menuClipCube;                BUILTIN 838;
PROCEDURE menuHide;                    BUILTIN 839;
PROCEDURE menu3dLine;                  BUILTIN 840;
PROCEDURE menuSettings3d;              BUILTIN 841;

{
   These menu functions require that the DC-Modeler be present.  A properly
   serialized copy of DCMODEL.OVR must be present.
}

PROCEDURE menuBlocks;                    BUILTIN 842;
PROCEDURE menuCylnVert;                  BUILTIN 843;
PROCEDURE menuCylnHori;                  BUILTIN 844;
PROCEDURE menuCone;                      BUILTIN 845;
PROCEDURE menuTruncCone;                 BUILTIN 846;
PROCEDURE menuDome;                      BUILTIN 847;
PROCEDURE menuTorus;                     BUILTIN 848;
PROCEDURE menuMeshSurf;                  BUILTIN 849;
PROCEDURE menuRevSurf;                   BUILTIN 850;
PROCEDURE menuMarker;                    BUILTIN 851;
PROCEDURE menuPolygon;                   BUILTIN 852;
PROCEDURE menuSlab;                      BUILTIN 853;
PROCEDURE menuPolyHori;                  BUILTIN 854;
PROCEDURE menuSlabHori;                  BUILTIN 855;
PROCEDURE menuPolyRect;                  BUILTIN 856;
PROCEDURE menuSlabRect;                  BUILTIN 857;
PROCEDURE menuPolyVert;                  BUILTIN 858;
PROCEDURE menuSlabVert;                  BUILTIN 859;
PROCEDURE menuPolyIncl;                  BUILTIN 860;
PROCEDURE menuSlabIncl;                  BUILTIN 861;
PROCEDURE menuVoids;                     BUILTIN 862;
PROCEDURE menuPartial;                   BUILTIN 863;
PROCEDURE menuMove3d;                    BUILTIN 864;
PROCEDURE menuCopy3d;                    BUILTIN 865;
PROCEDURE menuRotate3d;                  BUILTIN 866;
PROCEDURE menuEnlarge3d;                 BUILTIN 867;
PROCEDURE menuErase3d;                   BUILTIN 868;
PROCEDURE menuStretch3d;                 BUILTIN 869;
PROCEDURE menuChange3d;                  BUILTIN 870;
PROCEDURE menuExplode3d;                 BUILTIN 871;
PROCEDURE menuEdit3d;                    BUILTIN 872;
PROCEDURE menuEntity3d;                  BUILTIN 873;

PROCEDURE menuGeom;                      BUILTIN 874;

