{----------------------------------------------------------------------------}
{                                                                            }
{  Declarations for DCAL plotting routines.                                  }
{  Version 3.6b  7/1/88                                                      }
{                                                                            }
{  Version 4.00  01mar90   DAG                                               }
{                                                                            }
{  (C) Copyright CADKEY Inc. 1988, 1989, 1990                                }
{                                                                            }
{----------------------------------------------------------------------------}

#message 'Including file _plot.inc ...'

FUNCTION  plot_open (penwidth, penspeed : IN integer;
                     maxx, maxy : IN real;
                     tofile : IN boolean;
		     numplots : IN integer;
                     fname : IN string;
                     plot : IN OUT plot_type) : integer;          BUILTIN 437;

PROCEDURE plot_close (plot : IN OUT plot_type);                   BUILTIN 439;

PROCEDURE plot_mode (plot : IN OUT plot_type; 
                     mode : IN OUT mode_type;
                     multipen : IN boolean;
                     pensort : IN boolean; 
                     colors : IN boolean;
                     vwptMin, vwptMax : IN point;
                     wndwMin, wndwMax : IN point;
                     center : IN point;
                     ang : IN real);                              BUILTIN 438;

PROCEDURE plot_mode1 (plot : IN OUT plot_type; 
                      mode : IN OUT mode_type;
                      multipen : IN boolean;
                      pensort : IN boolean; 
                      colors : IN boolean;
                      vwptMin, vwptMax : IN point;
                      wndwMin, wndwMax : IN point;
                      center : IN point;
                      ang : IN real);                             BUILTIN 498;

PROCEDURE SetPlotPen (pen, color : IN integer);                   BUILTIN 499;
